#!/bin/sh

HOOK_DIR="/var/packages/PrestoServer/target/hook"
PKG_INFO="${HOOK_DIR}/pkg-info"
LICENSE_HA_HOOK="${HOOK_DIR}/license-ha-hook"

case $1 in
        # print package info
        --name|--pkg-ver|--vendor)
                ${PKG_INFO} $1
        ;;

        # print SDK module version
        --sdk-mod-ver)
                ${LICENSE_HA_HOOK} --sdk-mod-ver;
        ;;

        # execute pre hook
        --pre)
                ${LICENSE_HA_HOOK} --pre-active
        ;;

        # execute post hook
        --post)
                ${LICENSE_HA_HOOK} --post-active

        ;;

        *)
        ;;
esac